/*****************************************************************/
/*   Licensed Materials - Property of IBM                        */
/*   5698-T07                                                    */
/*                                                               */
/*   Copyright IBM Corporation 2009, 2013. All rights reserved   */
/*   US Government Users Restricted Rights - Use, duplication or */
/*   disclosure restricted by GSA ADP Schedule Contract with     */
/*   IBM Corp.                                                   */
/*                                                               */
/* ***************************************************************/
/* ***************************************************************/
/* kcp_upg.sql- TEMS upgrade seed data                           */
/*                                                               */
/* This file is a collection of SQL used as part of the product  */
/* application support installation at the TEMS as part of a     */
/* UPGRADE installation. Following installation this file is     */
/* stored in the SQLLIB subdirectories.                          */
/*                                                               */
/* This file should contain everthing in kcp.sql plus updates    */
/* where function has changed from previous versions.            */
/*                                                               */
/* Information from Globalization Conversion utility appears     */
/* last. Do not remove or replace these entries.                 */
/*                                                               */
/* CHANGE HISTORY                                                */
/* yyyymmdd CMVC    VRMF Who Description                         */
/* 20110203 F148211 V510 FF Initial new format of file           */
/* 20100917 F139081 V510 YM CICSPlex Rules Classification support*/
/* 20110908 F163959 V510 BK Add DELETEs of situations pertaining */
/*                          to LSR pool numbers 2 through 8      */
/* 20110912 D164310 V510 BK Remove DELETEs added by F163959      */
/* 20111216 D173460 V510 CW Update interval for XAM-based sits   */
/* 20130414 D203046 V530 CW  Drop CMW EIB Seeding                */
/* 20220111 RT3058  V550 JB  New take actions, PURGE TASK (FORCE)*/
/*                                                               */
/* ************************************************************* */
/* START OF kcp.sql INSERT                                       */
INSERT_KCP_SQL_HERE
/* END OF kcp.sql INSERT                                         */
/*********************************************************************/
/*                                                                   */
/* This section contains all the updates and changes that need to be */
/* applied to customer environments who are upgrading from a previous*/
/* version of the product.                                           */
/*                                                                   */
/*********************************************************************/

/*********************************************************************/
/*                                                                   */
/* Start of OMEGAMON for CICS to Tivoli Enterprise Console(TEC)      */
/* and Netcool/OMNIbus event severity mapping.                       */
/*                                                                   */
/* Setting SITINFO column with SEV= parm will map the severity.      */
/*                                                                   */
/* Added: V420                                                       */
/*                                                                   */
/* Some XAM-based sits have the interval (REEV_TIME) reset for       */
/* consistency.                                                      */
/* Added: V510                                                       */
/*********************************************************************/

INSERT INTO O4SRV.CCT
  (AFFINITIES ,
   CMD ,
   DESC ,
   ICON ,
   KEY ,
   NAME ,
   RESERVED ,
   SECURITY ,
   TABLES ,
   VERSION
  )
VALUES
  ("%IBM.STATIC011          000000000H0000yQ043" ,     /* AFFINITIES */
   "CP:SET TAS(&CICSplex_Transaction_Analysis.Task_Number) PUR" , 
   "Purge a task" ,                                    /* DESC       */
   " " ,                                               /* ICON       */
   "CPCMD011" ,                                        /* KEY        */
   "Purge Task" ,                                      /* NAME       */
   " " ,                                               /* RESERVED   */
   " " ,                                               /* SECURITY   */
   " " ,                                               /* TABLES     */
   " "                                                 /* VERSIONS   */
  );

INSERT INTO O4SRV.CCT
  (AFFINITIES ,
   CMD ,
   DESC ,
   ICON ,
   KEY ,
   NAME ,
   RESERVED ,
   SECURITY ,
   TABLES ,
   VERSION
  )
VALUES
  ("%IBM.STATIC011          000000000H0000yQ043" ,     /* AFFINITIES */
   "CP:SET TAS(&CICSplex_Transaction_Analysis.Task_Number) FOR" ,  
   "Purge Force a Task" ,                              /* DESC       */
   " " ,                                               /* ICON       */
   "CPCMD012" ,                                        /* KEY        */
   "Purge Force Task" ,                                /* NAME       */
   " " ,                                               /* RESERVED   */
   " " ,                                               /* SECURITY   */
   " " ,                                               /* TABLES     */
   " "                                                 /* VERSIONS   */
  );

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_AIDs_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_AIDs_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_Activity_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_AtClassMax_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_AtClassMax_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_AtMaxTCB_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_AtMaxTask_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_AtMaxTask_Warning";

UPDATE O4SRV.TSITDESC
    SET REEV_TIME="000500", SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_CICSCPUHigh_Critical";

UPDATE O4SRV.TSITDESC
    SET REEV_TIME="000500", SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_CICSCPUHigh_Warning";

UPDATE O4SRV.TSITDESC
    SET REEV_TIME="000500", SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_CICSCPULow_Critical";

UPDATE O4SRV.TSITDESC
    SET REEV_TIME="000500", SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_CICSCPULow_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_CSMI_delay_in_FCP";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_ClassMax_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_ClassMax_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_Corbaserver_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_DB2Abort_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_DB2Abort_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_DB2Attached_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_DB2Attached_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_DB2MaxThreads_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_DB2MaxThreads_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_DB2ThreadHWM_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_DB2ThreadHWM_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_DB2ThreadUse_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_DB2ThreadUse_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_DB2Wait_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_DB2Wait_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_DBCTLAct_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_DBCTLAct_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_DJAR_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_DJAR_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_DSAAvail_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_DSAAvail_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_DSAHigh_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_DSAHigh_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_DSALow_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_DSALow_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_DSASOS_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_DSASOS_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_EDSAAvail_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_EDSAAvail_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_EDSAHigh_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_EDSAHigh_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_EDSALow_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_EDSALow_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_EDSASOS_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_EDSASOS_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_ENQWaitCount_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_ENQWaitCount_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_Function_Ship_delays";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_Held_RLS_Locks";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_ICEs_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_ICEs_Warning";

UPDATE O4SRV.TSITDESC
    SET REEV_TIME="000500", SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_IORateHigh_Critical";

UPDATE O4SRV.TSITDESC
    SET REEV_TIME="000500", SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_IORateHigh_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_JVMClasscache_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_JVMProgram_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_JournalDis_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_JournalDis_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_JournalFail_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_JournalFail_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_LSQA_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_LSQA_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_LSRPool1Look_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_LSRPool1Look_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_LSRPool1Str_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_LSRPool1Str_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_LSRPool1Wait_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_LSRPool1Wait_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_MQBusyTCBs_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_MQBusyTCBs_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_MQInactive_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_MQInactive_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_MROAIDs_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_MROAIDs_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_MROPctLink_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_MROPctLink_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_MaxTask_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_MaxTask_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_OSCORHigh_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_OSCORHigh_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_OSCORLow_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_OSCORLow_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_PageRate_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_PageRate_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_PagepoolSOS_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_Performance_Index";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_ProcessType_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_RTAGroup_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_RecMgr_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_ShuntedUOWs_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_ShuntedUOWs_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_StorViol_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_StorViol_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_Sympathy_Degradation";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_Sympathy_Sickness";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_SysDumpsHr_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_SysDumpsHr_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_SysDumps_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_SysDumps_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TCPIPDis_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TCPIPDis_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TCPIPFail_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TCPIPFail_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TCPIPService_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TCPIPWait_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TCPIPWait_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TCPIP_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TDActStr_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TDActStr_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TDBufWait_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TDBufWait_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TDBuffer_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TDBuffer_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TDCIs_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TDCIs_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TDQueueLen_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TDQueueLen_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TDStrWait_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TDStrWait_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TDTrigger_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TDTrigger_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TODUpdate_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TODUpdate_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TSAuxBufWait_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TSAuxBufWait_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TSAuxBuf_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TSAuxBuf_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TSAuxCI_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TSAuxCI_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TSAuxStrWait_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TSAuxStrWait_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TSAuxStr_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TSAuxStr_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TakingSDUMP_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TakingSDUMP_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TotENQWaits_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TotENQWaits_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TranCPUTime_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TranCPUTime_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TranDumpsHr_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TranDumpsHr_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TranDumps_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TranDumps_Warning";

UPDATE O4SRV.TSITDESC
    SET REEV_TIME="000500", SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TranRateHigh_Critical";

UPDATE O4SRV.TSITDESC
    SET REEV_TIME="000500", SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TranRateHigh_Warning";

UPDATE O4SRV.TSITDESC
    SET REEV_TIME="000500", SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TranRateLow_Critical";

UPDATE O4SRV.TSITDESC
    SET REEV_TIME="000500", SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_TranRateLow_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_UOWENQFail_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_UOWENQFail_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_UOWForce_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_UOWForce_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_UOWShuntTime_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_UOWShuntTime_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_UOW_DSNFail_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_UOW_Link_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_VSAMDataCA_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_VSAMDataCA_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_VSAMDataCI_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_VSAMDataCI_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_VSAMDataExt_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_VSAMDataExt_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_VSAMNdxCA_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_VSAMNdxCA_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_VSAMNdxCI_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_VSAMNdxCI_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_VSAMNdxExt_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_VSAMNdxExt_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_VSAMRLSTimeout_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_VSAMRLSTimeout_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_VSAMStrUse_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_VSAMStrUse_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_VSAMStrWait_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_VSAMStrWait_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_VSAMWaitvIO_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_VSAMWaitvIO_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_VTAMOpen_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_VTAMOpen_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_WebEnabled_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_WebEnabled_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_WebInstall_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_WebInstall_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_Web_Service_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_WorkSetHigh_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_WorkSetHigh_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_WorkSetLow_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_WorkSetLow_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_delay_in_Database";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_delay_in_MQSeries";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_delay_within_CICS";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_ExitConn_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_ExitStart_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_HostStatus_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_SysplexEnq_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_SysplexEnq_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TSAuxExhaust_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSplex_TSAuxIO_Critical";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_URIMAPDisCnt_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_URIMAPHostDis_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_URIMAPStatus_Warning";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSplex_URIMAPUnmatch_Warning";

/*********************************************************************/
/*                                                                   */
/* Remove obsolete situations                                        */
/*                                                                   */
/* Added: V420                                                       */
/*                                                                   */
/*********************************************************************/
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "CICSplex_Service_Class_Deleted";

DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "CICSplex_Service_Class_Deleted";

DELETE FROM O4SRV.SITDB
   WHERE RULENAME = "CICSplex_Service_Class_Deleted__";

DELETE FROM O4SRV.SITDB
   WHERE RULENAME = "UADVISOR_OMCICS_CICSTRG_________";

DELETE FROM O4SRV.SITDB
   WHERE RULENAME = "OMCICS.CICSTRG";

DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME =
"UADVISOR_OMCICS_CICSTRG";

DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME =
"UADVISOR_OMCICS_CICSTRG";


/* This comment is a guideline for the length of the fill character */
/* WHERE RULENAME = "________________________________"; */


